Skip to main content
GET
/
addons
/
{id}
JavaScript
import DodoPayments from 'dodopayments';

const client = new DodoPayments({
  bearerToken: process.env['DODO_PAYMENTS_API_KEY'], // This is the default and can be omitted
});

const addonResponse = await client.addons.retrieve('adn_NX1zdqW4Hbivsqz8vI9dc');

console.log(addonResponse.id);
import os
from dodopayments import DodoPayments

client = DodoPayments(
bearer_token=os.environ.get("DODO_PAYMENTS_API_KEY"), # This is the default and can be omitted
)
addon_response = client.addons.retrieve(
"adn_NX1zdqW4Hbivsqz8vI9dc",
)
print(addon_response.id)
package main

import (
"context"
"fmt"

"github.com/dodopayments/dodopayments-go"
"github.com/dodopayments/dodopayments-go/option"
)

func main() {
client := dodopayments.NewClient(
option.WithBearerToken("My Bearer Token"),
)
addonResponse, err := client.Addons.Get(context.TODO(), "adn_NX1zdqW4Hbivsqz8vI9dc")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", addonResponse.ID)
}
package com.dodopayments.api.example;

import com.dodopayments.api.client.DodoPaymentsClient;
import com.dodopayments.api.client.okhttp.DodoPaymentsOkHttpClient;
import com.dodopayments.api.models.addons.AddonResponse;
import com.dodopayments.api.models.addons.AddonRetrieveParams;

public final class Main {
private Main() {}

public static void main(String[] args) {
DodoPaymentsClient client = DodoPaymentsOkHttpClient.fromEnv();

AddonResponse addonResponse = client.addons().retrieve("adn_NX1zdqW4Hbivsqz8vI9dc");
}
}
package com.dodopayments.api.example

import com.dodopayments.api.client.DodoPaymentsClient
import com.dodopayments.api.client.okhttp.DodoPaymentsOkHttpClient
import com.dodopayments.api.models.addons.AddonResponse
import com.dodopayments.api.models.addons.AddonRetrieveParams

fun main() {
val client: DodoPaymentsClient = DodoPaymentsOkHttpClient.fromEnv()

val addonResponse: AddonResponse = client.addons().retrieve("adn_NX1zdqW4Hbivsqz8vI9dc")
}
require "dodopayments"

dodo_payments = Dodopayments::Client.new(
bearer_token: "My Bearer Token",
environment: "test_mode" # defaults to "live_mode"
)

addon_response = dodo_payments.addons.retrieve("adn_NX1zdqW4Hbivsqz8vI9dc")

puts(addon_response)
<?php

require_once dirname(__DIR__) . '/vendor/autoload.php';

use Dodopayments\Client;
use Dodopayments\Core\Exceptions\APIException;

$client = new Client(
bearerToken: getenv('DODO_PAYMENTS_API_KEY') ?: 'My Bearer Token',
environment: 'test_mode',
);

try {
$addonResponse = $client->addons->retrieve('adn_NX1zdqW4Hbivsqz8vI9dc');

var_dump($addonResponse);
} catch (APIException $e) {
echo $e->getMessage();
}
using System;
using DodoPayments.Client;
using DodoPayments.Client.Models.Addons;

DodoPaymentsClient client = new();

AddonRetrieveParams parameters = new() { ID = "adn_NX1zdqW4Hbivsqz8vI9dc" };

var addonResponse = await client.Addons.Retrieve(parameters);

Console.WriteLine(addonResponse);
use dodopayments::Client;

#[tokio::main]
async fn main() -> dodopayments::Result<()> {
let client = Client::from_env()?;
let id = "id";
let result = client
.addons()
.retrieve()
.id(id)
.await?;
println!("{result:?}");
Ok(())
}
curl --request GET \
--url https://test.dodopayments.com/addons/{id} \
--header 'Authorization: Bearer <token>'
{
  "business_id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "name": "<string>",
  "price": 123,
  "updated_at": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "image": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Addon Id

Response

Retrieve a specific addon

business_id
string
required

Unique identifier for the business to which the addon belongs.

created_at
string<date-time>
required

Created time

currency
enum<string>
required

Currency of the Addon

Available options:
AED,
ALL,
AMD,
ANG,
AOA,
ARS,
AUD,
AWG,
AZN,
BAM,
BBD,
BDT,
BGN,
BHD,
BIF,
BMD,
BND,
BOB,
BRL,
BSD,
BWP,
BYN,
BZD,
CAD,
CHF,
CLP,
CNY,
COP,
CRC,
CUP,
CVE,
CZK,
DJF,
DKK,
DOP,
DZD,
EGP,
ETB,
EUR,
FJD,
FKP,
GBP,
GEL,
GHS,
GIP,
GMD,
GNF,
GTQ,
GYD,
HKD,
HNL,
HRK,
HTG,
HUF,
IDR,
ILS,
INR,
IQD,
JMD,
JOD,
JPY,
KES,
KGS,
KHR,
KMF,
KRW,
KWD,
KYD,
KZT,
LAK,
LBP,
LKR,
LRD,
LSL,
LYD,
MAD,
MDL,
MGA,
MKD,
MMK,
MNT,
MOP,
MRU,
MUR,
MVR,
MWK,
MXN,
MYR,
MZN,
NAD,
NGN,
NIO,
NOK,
NPR,
NZD,
OMR,
PAB,
PEN,
PGK,
PHP,
PKR,
PLN,
PYG,
QAR,
RON,
RSD,
RUB,
RWF,
SAR,
SBD,
SCR,
SEK,
SGD,
SHP,
SLE,
SLL,
SOS,
SRD,
SSP,
STN,
SVC,
SZL,
THB,
TND,
TOP,
TRY,
TTD,
TWD,
TZS,
UAH,
UGX,
USD,
UYU,
UZS,
VES,
VND,
VUV,
WST,
XAF,
XCD,
XOF,
XPF,
YER,
ZAR,
ZMW
id
string
required

id of the Addon

name
string
required

Name of the Addon

price
integer<int32>
required

Amount of the addon

tax_category
enum<string>
required

Tax category applied to this Addon

Available options:
digital_products,
saas,
e_book,
edtech
updated_at
string<date-time>
required

Updated time

description
string | null

Optional description of the Addon

image
string | null

Image of the Addon

Last modified on March 25, 2026